openSUSE Security Update : imlib2 (openSUSE-2016-600)

High Nessus Plugin ID 91270


The remote openSUSE host is missing a security update.


This imlib2 update to version 1.4.9 fixes the following issues :

Security issues fixed :

- CVE-2011-5326: divide by 0 when drawing an ellipse of height 1 (boo#974202)

- CVE-2014-9762: segmentation fault on images without colormap (boo#963796)

- CVE-2014-9764: segmentation fault when opening specifically crafted input (boo#963797)

- CVE-2014-9763: division-by-zero crashes when opening images (boo#963800)

- CVE-2014-9771: exploitable integer overflow in
_imlib_SaveImage (boo#974854)

- CVE-2016-3994: imlib2/evas Potential DOS in giflib loader (boo#973759)

- CVE-2016-3993: off by 1 Potential DOS (boo#973761)

- CVE-2016-4024: integer overflow resulting in insufficient heap allocation (boo#975703)


Update the affected imlib2 packages.

See Also

Plugin Details

Severity: High

ID: 91270

File Name: openSUSE-2016-600.nasl

Version: $Revision: 2.2 $

Type: local

Agent: unix

Published: 2016/05/20

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:imlib2, p-cpe:/a:novell:opensuse:imlib2-debuginfo, p-cpe:/a:novell:opensuse:imlib2-debugsource, p-cpe:/a:novell:opensuse:imlib2-devel, p-cpe:/a:novell:opensuse:imlib2-filters, p-cpe:/a:novell:opensuse:imlib2-filters-debuginfo, p-cpe:/a:novell:opensuse:imlib2-loaders, p-cpe:/a:novell:opensuse:imlib2-loaders-debuginfo, p-cpe:/a:novell:opensuse:libImlib2-1, p-cpe:/a:novell:opensuse:libImlib2-1-debuginfo, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/05/18

Reference Information

CVE: CVE-2011-5326, CVE-2014-9762, CVE-2014-9763, CVE-2014-9764, CVE-2014-9771, CVE-2016-3993, CVE-2016-3994, CVE-2016-4024